Page MenuHomeFreeBSD

Add support for dumping bcma/siba EROM tables via a new BHND_EROM_DUMP() method.
ClosedPublic

Authored by landonf on Mar 23 2017, 6:57 PM.

Details

Summary

This comes in handy when debugging EROM parsing and device matching issues.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

landonf created this revision.Mar 23 2017, 6:57 PM
landonf updated this revision to Diff 26620.Mar 23 2017, 7:31 PM

Drop debugging statement.

adrian accepted this revision.Mar 25 2017, 8:35 PM
This revision is now accepted and ready to land.Mar 25 2017, 8:35 PM
mizhka_gmail.com accepted this revision.Apr 13 2017, 3:17 PM

NICE!!! :)

This revision was automatically updated to reflect the committed changes.